Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.automata
Class DfaBuilder

    java.lang.Object
      org.biojava.utils.automata.DfaBuilder

    public class DfaBuilder

extends Object

Method Summary
`void` | `constructSubsets()`
`FiniteAutomaton` | `getDFA()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDFA

    public FiniteAutomaton getDFA()
                           throws AutomatonException

  Throws:
    `AutomatonException`

### constructSubsets

    public void constructSubsets()
                          throws AutomatonException

  Throws:
    `AutomatonException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD